Package org.eclipse.emf.cdo.lm.reviews

# Interface Commentable

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`, `SystemElement`

All Known Subinterfaces:
  `Comment`, `DeliveryReview`, `DropReview`, `Heading`, `Review`, `ReviewTemplate`

All Known Implementing Classes:
  `CommentableImpl`, `CommentImpl`, `DeliveryReviewImpl`, `DropReviewImpl`, `HeadingImpl`, `ReviewImpl`, `ReviewTemplateImpl`

public interface Commentable extends SystemElement
A representation of the model object 'Commentable'.

See Also:
  - `ReviewsPackage.getCommentable()`
Generated
Model
  abstract="true"
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Review`
  - `Comments`
  - `Comment Count`
  - `Unresolved Count`
  - `Resolved Count`
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`int`
`getCommentCount()`
Returns the value of the 'Comment Count' attribute.
`EList<Comment>`
`getComments()`
Returns the value of the 'Comments' containment reference list.
`int`
`getResolvedCount()`
Returns the value of the 'Resolved Count' attribute.
`Review`
`getReview()`
Returns the value of the 'Review' reference.
`int`
`getUnresolvedCount()`
Returns the value of the 'Unresolved Count' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Method Details

### getReview

Review getReview()
Returns the value of the 'Review' reference.

Returns:
  the value of the 'Review' reference.
See Also:
  - `ReviewsPackage.getCommentable_Review()`
Generated
Model
  resolveProxies="false" required="true" transient="true" changeable="false" volatile="true" derived="true"

### getComments

EList<Comment> getComments()
Returns the value of the 'Comments' containment reference list. The list contents are of type `Comment`. It is bidirectional and its opposite is '`Commentable`'.

Returns:
  the value of the 'Comments' containment reference list.
See Also:
  - `ReviewsPackage.getCommentable_Comments()`
  - `Comment.getCommentable()`
Generated
Model
  opposite="commentable" containment="true"

### getCommentCount

int getCommentCount()
Returns the value of the 'Comment Count' attribute.

Returns:
  the value of the 'Comment Count' attribute.
See Also:
  - `ReviewsPackage.getCommentable_CommentCount()`
Generated
Model
  transient="true" changeable="false" volatile="true" derived="true"

### getUnresolvedCount

int getUnresolvedCount()
Returns the value of the 'Unresolved Count' attribute.

Returns:
  the value of the 'Unresolved Count' attribute.
See Also:
  - `ReviewsPackage.getCommentable_UnresolvedCount()`
Generated
Model
  transient="true" changeable="false" volatile="true" derived="true"

### getResolvedCount

int getResolvedCount()
Returns the value of the 'Resolved Count' attribute.

Returns:
  the value of the 'Resolved Count' attribute.
See Also:
  - `ReviewsPackage.getCommentable_ResolvedCount()`
Generated
Model
  transient="true" changeable="false" volatile="true" derived="true"